html,
body {
    font-family: "Inter", sans-serif;
    -webkit-tap-highlight-color: transparent;
    /* Preventing the blue highlighting of each click in Android */

}

@media screen and (min-width: 320px) and (max-width: 767px) and (orientation: landscape) {
    html {
        transform: rotate(-90deg);
        transform-origin: left top;
        width: 100vh;
        height: 100vw;
        position: absolute;
        top: 100%;
        left: 0;
    }
}

body {
    max-width: 100vw;
    max-height: 100vh;
    padding: 0px;
    margin: 0px;
}

#divHeader {
    position: sticky;
    top: 0px;
    z-index: 100;
    width: 100%;
    background-color: var(--main-bg-color);;
}

#divHeaderContainer {
    position: sticky;
    top: 0px;
    z-index: 100;
    /* width: calc(100% - 20px); */
    height: 56px;
    display: grid;
    grid-template-columns: 48px 1fr;
    grid-auto-columns: 48px;
    grid-auto-flow: column;
    box-sizing: border-box;
    margin: auto;
}

/* https://css-tricks.com/almanac/properties/g/grid-auto-columns/ */

#divHeader.hide {
    display: none;
}

#divHeader v-icon {
    grid-row: 1 / 2;
    color: white;
    width: 24px;
    height: 24px;
    cursor: pointer;
    align-self: center;
    justify-self: center;
}

#divHeaderContent {
    display: contents;
}

#divHeaderContent > div {
    display: grid;
    cursor: pointer;
}


#title {
    color: white;
    font-size: 1.3em;
    align-self: center;
    padding-left: 16px;
    user-select: none;
}

#divSearch {
    grid-column: 2 / 4;
    grid-row: 1 / 2;

    & input {
        border-radius: 5px;
        height: 32px;
        outline: none;
        border: 0px;
        background: #4e6379;
        color: white;
        font-size: 1.2em;
        width: 100%;
        align-self: center;
        padding-left: 10px;        
    }
}

#tbSearch::-webkit-search-cancel-button {
    -webkit-appearance: none;
    height: 1em;
    width: 1em;
    margin-left: .5em;
    border-radius: 50em;
    background-image: url("data:image/svg+xml,%3Csvg  xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='white' viewBox='0 0 24 24'%3E%3Cpath fill-rule='evenodd' d='M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z' clip-rule='evenodd'/%3E%3C/svg%3E%0A");
    background-size: contain;
    cursor: pointer;
}

#divTitle {
    text-align: center;
    padding: 20px;
    font-size: 1.2em;
}

.page {
    .caption {
        display: grid;
        grid-template-columns: 64px 1fr;
        height: 54px;
        background: whitesmoke;
        border-bottom: 1px solid gray;

        .back, .option {
            display: grid;
            align-items: center;
            justify-content: center;            
            cursor: pointer;

            & v-icon {
                width: 20px;
                display: inline-block;
                color: darkslategray;
                top: 3px;
                position: relative;
            }
        }

        & h4 {
            display: inline-flex;
            align-items: center;
            height: 100%;
        }

        & h5 {
            display: inline;
            font-style: italic;
            color: gray;
            margin-left: 10px;
        }
    }

    .caption.history {
        background: rgb(209 94 94);

        & h5 {
            color: white;
        }
    }
}